%{?scl:%scl_package eclipse-m2e-apt}
%{!?scl:%global pkg_name %{name}}
%{?java_common_find_provides_and_requires}

%global baserelease 1

%global commit 12a8d333cf39b92f5238e0cb51cf7d2d0984e135
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           %{?scl_prefix}eclipse-m2e-apt
Version:        1.3.0
Release:        0.1.git%{shortcommit}.%{baserelease}%{?dist}
Summary:        M2E JDT Annotation Processor Toolkit connector
License:        EPL
URL:            https://github.com/jbosstools/m2e-apt
BuildArch:      noarch

Source0:        https://github.com/jbosstools/m2e-apt/archive/%{commit}/%{pkg_name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  %{?scl_prefix_maven}maven-local
BuildRequires:  %{?scl_prefix}mvn(org.eclipse.tycho.extras:tycho-source-feature-plugin)
BuildRequires:  %{?scl_prefix}mvn(org.eclipse.tycho:target-platform-configuration)
BuildRequires:  %{?scl_prefix}mvn(org.eclipse.tycho:tycho-maven-plugin)
BuildRequires:  %{?scl_prefix}mvn(org.eclipse.tycho:tycho-p2-plugin)
BuildRequires:  %{?scl_prefix}mvn(org.eclipse.tycho:tycho-source-plugin)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.license)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.jdt.core)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.m2e.core)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.wst.sse.core)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.wst.xml.core)
BuildRequires:  %{?scl_prefix_java_common}osgi(slf4j.api)

%description
This package provides JDT Annotation Process Toolkit connector for Eclipse
M2E. It provides automatic Annotation Processing configuration in Eclipse
based on your project's pom.xml and its classpath dependencies.

%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%setup -q -n m2e-apt-%{commit}
find -name *.jar -delete

# Avoid relying on forge parent pom
%pom_remove_parent

# Don't need to build update site for RPM builds
%pom_disable_module org.jboss.tools.maven.apt.site

# Tests are not able to be run due to missing plugin "org.bsc.maven"
%pom_disable_module org.jboss.tools.maven.apt.tests

# Avoid using tycho-sourceref-jgit due to source tarball not being a git repo
%pom_remove_plugin :tycho-packaging-plugin

# This project is EPL licensed, so let's reuse the eclipse-license
sed -i -e 's/org.jboss.tools.foundation.license.feature/org.eclipse.license/' \
  org.jboss.tools.maven.apt.feature/feature.xml

# Don't package parent pom
%mvn_package "::pom::" __noinstall
%{?scl:EOFSCL}

%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_build -j
%{?scl:EOFSCL}

%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_install
%{?scl:EOFSCL}

%files -f .mfiles
%doc README.md
%doc org.jboss.tools.maven.apt.feature/license.html

%changelog
* Mon Oct 09 2017 Mat Booth <mat.booth@redhat.com> - 1.3.0-0.1.git12a8d33.1
- Auto SCL-ise package for rh-eclipse47 collection

* Fri Sep 29 2017 Mat Booth <mat.booth@redhat.com> - 1.3.0-0.1.git12a8d33
- Initial packaging